## python-biopython 1.30

=== Doc/Makefile ===
all: doc
.PHONY: all doc clean

doc:
	- pdflatex Tutorial
	- pdflatex Tutorial
	- pdflatex Tutorial
	- pdflatex biopdb_faq.tex 
	- pdflatex biopdb_faq.tex 
	- pdflatex biopdb_faq.tex 
	

clean:
	- rm -f Doc/Tutorial.ps Doc/Tutorial.log Doc/Tutorial.dvi \
	Doc/Tutorial.aux
	- rm -rf Doc/api
