## python-biopython 1.44

=== Bio/KDTree/Makefile ===


KDTree.swig.cpp: KDTree.i KDTree.h KDTree.cpp 
	 swig -c++ -python -shadow -o KDTree.swig.cpp KDTree.i

clean:
	rm KDTree.swig.cpp CKDTree.py
