## python-biopython 1.60

=== debian/changelog ===
python-biopython (1.60-1) unstable; urgency=low

  * New upstream release.
  * Removed quilt dependency.
  * Migrated to dh_python2.
  * patches/01-enable-mmCIF.patch: not required anymore.
  * debian/source/format: 3.0 (quilt) added.
  * debian/rules: added hardening flags.

 -- Philipp Benner <philipp@debian.org>  Sat, 29 Sep 2012 16:43:59 +0200

python-biopython (1.59-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards version 3.9.3.
  * debian/rules: added dh_numpy.

 -- Philipp Benner <philipp@debian.org>  Fri, 09 Mar 2012 13:38:09 +0000

python-biopython (1.58-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: added targets build-arch and build-indep.
  * debian/control: Standards version 3.9.2.

 -- Philipp Benner <philipp@debian.org>  Wed, 02 Nov 2011 19:51:49 +0000

python-biopython (1.57-1) unstable; urgency=low

  * New upstream release (Closes: #585282).

 -- Philipp Benner <philipp@debian.org>  Sun, 10 Apr 2011 17:58:01 +0000

python-biopython (1.56-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Thu, 02 Dec 2010 17:30:09 +0000

python-biopython (1.54-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Fri, 28 May 2010 00:06:43 +0200

python-biopython (1.53-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Mon, 21 Dec 2009 15:30:37 +0000

python-biopython (1.52-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Wed, 30 Sep 2009 10:16:03 +0000

python-biopython (1.51final-2) unstable; urgency=low

  * Merged patch from ubuntu to make the package ready for
    python2.6 (Closes: #543236).

 -- Philipp Benner <philipp@debian.org>  Mon, 24 Aug 2009 09:29:27 +0000

python-biopython (1.51final-1) unstable; urgency=low

  * New upstream release
  * debian/control: suggesting muscle, clustalw, mafft, emboss, and
    blast2 for installation

 -- Philipp Benner <philipp@debian.org>  Wed, 19 Aug 2009 10:41:19 +0000

python-biopython (1.51b-2) unstable; urgency=low

  * Dropped python-biopython-martel.
  * Dropped dependency on python-egenix-mxtexttools.
  * Removed DM-Upload-Allowed: yes.

 -- Philipp Benner <philipp@debian.org>  Tue, 11 Aug 2009 19:47:52 +0000

python-biopython (1.51b-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - moved python-martel back to section python (python packages do not
    use section oldlibs)
  * debian/patches/02-fix-wise-test.patch
    - removed (merged with upstream)
  * debian/control:
    - Changed the description of python-biopython-sql according to Peter Cock's
      suggestions.
    [Charles Plessy]

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 27 Jun 2009 15:14:52 +0000

python-biopython (1.49-1) unstable; urgency=low

  * New upstream release.
    - uses NumPy rather than its precursor Numeric (Closes: #478457)
    - Martel, Bio.Mindy, Bio.MetaTool, Bio.EUtils, Bio.Saf, Bio.NBRF, and
      Bio.IntelliGenetics are deprecated.
    - Bio.PubMed and the online code in Bio.GenBank are now considered obsolete
      and will be deprecated in a future release.
    - Bio.Fasta is also considered to be obsolete and will eventually be
      deprecated.
  * debian/control:
    - added myself as Uploader.
    - depends on python-numpy instead of python-numeric-ext.
    - moved python-martel to oldlibs section, priority extra as it is
      deprecated, and indicate this in the description.
    - build-depend on python-mysqldb and wise for the tests after building.
  * Use Debhelper 7 (debian/co{ntrol,mpat}).
  * debian/copyright: added myself to the Hall of Fame and updated to latest
    draft of the machine-readable format.
  * debian/watch: makes beta versions lower by prepending a tilde between
    numbers and letters (1.49b -> 1.49~b).
  * mmCIF support enabled:
    - debian/patches/01-enable-mmCIF.patch: as the name indicates ;)
    - debian/rules: patch and unpatch through /usr/share/quilt/quilt.make.
    - debian/control: build-depends on quilt.
  * debian/python-biopython-doc.doc-base: corrected index name that was changed
    upstream.
  * debian/patches/02-fix-wise-test.patch: prevents tests failing with Debian's
    version of Wise.
  * debian/rules: perform tests after build.

 -- Charles Plessy <plessy@debian.org>  Fri, 23 Jan 2009 22:19:50 +0900

python-biopython (1.47-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.8.0

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 03 Aug 2008 14:29:33 +0200

python-biopython (1.45-3) unstable; urgency=low

  * Removed dependency on python-numeric-ext since it is already in
    the recommends field

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 01 Jun 2008 10:34:48 +0200

python-biopython (1.45-2) unstable; urgency=low

  * Add dependency on python-numeric-ext (Bio.PDB uses MLab from this package)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Wed, 23 Apr 2008 00:01:16 +0200

python-biopython (1.45-1) unstable; urgency=low

  * New upstream release.
  * Added doc-base.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 29 Mar 2008 12:20:41 +0100

python-biopython (1.44-3) unstable; urgency=low

  * New maintainer e-mail address.
  * debian/control: Added DM-Upload-Allowed: yes.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 14 Jan 2008 18:35:18 +0100

python-biopython (1.44-2) unstable; urgency=low

  * Moved suggested package python-numeric-ext to recommends field
    (Closes: #452379).
  * Moved wise from recommends to suggests field.
  * Removed package tags from debian/control.
  * Added homepage field to debian/control.
  * Changed maintainer to Debian-Med Packaging Team.
  * Removed .DS_Store.gz file from doc package.

 -- Philipp Benner <mail@philipp-benner.de>  Thu, 22 Nov 2007 13:35:00 +0100

python-biopython (1.44-1) unstable; urgency=low

  * New upstream release.

