=== debian/control ===
Source: python-biopython
Priority: optional
Section: python
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Philipp Benner <philipp@debian.org>,
           Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all (>= 2.6.6-3~), python-all-dev, flex,
 python-reportlab, python-numpy,
# For the purpose of the tests
 python-mysqldb, wise
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biopython/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-biopython/trunk/
Homepage: http://biopython.org

Package: python-biopython
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-numpy, python-reportlab
Provides: ${python:Provides}
Replaces: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
Conflicts: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
Recommends: python-biopython-doc (= ${source:Version})
Suggests: python-tk, wise, muscle, clustalw, mafft, emboss, blast2
Description: Python library for bioinformatics
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license
 in the world. We work along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 

Package: python-biopython-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.

Package: python-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mysqldb, python-biopython
Provides: ${python:Provides}
Replaces: python2.3-biopython-sql (<< 1.42-1), python2.4-biopython-sql (<< 1.42-1)
Conflicts: python2.3-biopython-sql (<< 1.42-1), python2.4-biopython-sql (<< 1.42-1)
Description: Biopython support for the BioSQL database schema
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
