=== debian/rules ===
#!/usr/bin/make -f

# hardening flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PWD    := $(shell pwd)
PYDEF  := $(shell pyversions -d)
PYVERS := $(shell pyversions -r)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(PYVERS:%=build-%)
	touch build-stamp
build-python%:
	echo $(DEB_HOST_ARCH)
	yes | python$* setup.py build

install: $(PYVERS:%=install-%)
install-python%:
	dh_testdir
	dh_testroot

	yes | python$* setup.py install --root $(CURDIR)/debian/python$*-tmp --install-layout=deb

	dh_movefiles -ppython-biopython		\
		     -ppython-biopython-sql	\
		     --sourcedir=debian/python$*-tmp

clean: $(PYVERS:%=clean-%)
	dh_testdir
	dh_testroot

	dh_clean

	$(RM) build-stamp

# fix bugs in setup.py
	$(RM) Tests/*.pyc
	$(RM) Tests/Graphics/*.eps
	$(RM) Tests/Graphics/*.pdf
	$(RM) Tests/dump
	$(RM) Tests/NeuralNetwork/patternio.txt
	$(RM) -r Tests/SCOP/scopseq-test/astral-scopdom-seqres-all-test.fa.idx

	$(RM) -r build

clean-python%:
	dh_testdir
	dh_testroot

	python$* setup.py clean

	$(RM) -r debian/python$*-tmp

binary-indep: build install
	dh_testdir
	dh_testroot

	dh_installdocs -i
	dh_installchangelogs -i
	dh_fixperms -i
	dh_compress -i
	dh_python2 -i
	dh_numpy -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_installdeb -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs -a
	dh_installchangelogs -a
	dh_fixperms -a
	dh_compress -a
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif
	dh_python2 -a
	dh_numpy -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_installdeb -a
	dh_builddeb -a

test:
	python$* setup.py test

binary: binary-indep binary-arch test

.PHONY: clean build install binary binary-indep binary-arch
