## python-biopython 1.61

=== debian/changelog ===
python-biopython (1.61-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - Took over citation information from tasks file
     - Valid BibTeX authors field
     - Firstnames of authors
  * debian/control: Fixed Vcs fields

  [ Philipp Benner ]
  * New upstream release
  * Standards version 3.9.4

 -- Philipp Benner <philipp@debian.org>  Thu, 14 Feb 2013 22:08:04 +0100
  
