=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: python
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Philipp Benner <philipp@debian.org>,
-           Charles Plessy <plessy@debian.org>
+           Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all (>= 2.6.6-3~), python-all-dev, flex,
  python-reportlab, python-numpy,
 # For the purpose of the tests
  python-mysqldb, wise
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biopython/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-biopython/trunk/
+Standards-Version: 3.9.4
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biopython/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/python-biopython/trunk/
 Homepage: http://biopython.org
 
 Package: python-biopython
@@ -21,7 +22,7 @@
 Replaces: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
 Conflicts: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
 Recommends: python-biopython-doc (= ${source:Version})
-Suggests: python-tk, wise, muscle, clustalw, mafft, emboss, blast2
+Suggests: python-tk, wise, muscle, clustalw, mafft, emboss, blast2, python-psycopg2, probcons
 Description: Python library for bioinformatics
  The Biopython Project is an international association
  of developers of freely available Python tools for
