## python-biopython 1.62

=== debian/changelog ===
python-biopython (1.62-1) unstable; urgency=low

  * New upstream release
  * Using CDBS to build the package

 -- Philipp Benner <philipp@debian.org>  Sun, 15 Sep 2013 16:36:26 +0200
