## python-biopython 1.63

=== Doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-subdirs := cookbook/biopython_test install
+subdirs := install
 
 
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)
@@ -16,7 +16,6 @@
 
 Tutorial.html: Tutorial.tex
 	hevea -fix Tutorial.tex
-	hacha Tutorial.html
 
 Tutorial.txt: Tutorial.tex
 	hevea -fix -text Tutorial.tex
@@ -26,6 +25,7 @@
 
 clean: clean-subdirs
 	rm -f Tutorial.aux
+	rm -f Tutorial.toc
 	rm -f Tutorial.log
 	rm -f Tutorial.out
 	rm -f Tutorial.haux
