=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Philipp Benner <philipp@debian.org>,
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all (>= 2.6.6-3~), python-all-dev, flex,
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.90~), python-all (>= 2.6.6-3~), python-all-dev, flex,
  python-reportlab, python-numpy,
 # For the purpose of the tests
  python-mysqldb, wise
