=== debian/rules ===
#!/usr/bin/make -f

# hardening flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-post-install/python-biopython::
	dh_numpy -ppython-biopython
