=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/b/~b/" \
http://biopython.org/DIST/biopython-(.\.\w+)\.tar\.gz \
	debian uupdate
