## python-biopython 1.64+dfsg

=== debian/changelog ===
python-biopython (1.64+dfsg-5) unstable; urgency=medium

  * Exclude samtools test from unit testing for the moment since this
    package is in flux and it is not clear what architectures will be
    supported finally
  * Do not suggest python3 packages in python-biopython and no
    python package sin python3-biopython
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 24 Sep 2014 10:08:12 +0200

python-biopython (1.64+dfsg-4) unstable; urgency=medium

  * debian/patches/fix_test_problem_on_powerpc.patch: Patch provided by
    upstream to run test suite on PowerPC (thanks to Michiel de Hoon
    <mjldehoon@yahoo.com>)
    Closes: #751277
  * Install egg metadata
    Closes: #743927
  * Add samtools to Build-Depends + Recommends since it is checked in test
    suite

 -- Andreas Tille <tille@debian.org>  Mon, 01 Sep 2014 15:59:30 +0200

python-biopython (1.64+dfsg-3) unstable; urgency=medium

  * Skip test on mips architecture which is known to fail
  * Versioned (Build-)Depends wise (>= 2.4.1-16) to make sure tests
    will pass on each architecture (problems with previous wise on
    powerpc, s390x)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Aug 2014 11:41:23 +0200

python-biopython (1.64+dfsg-2) unstable; urgency=medium

  * Use HOME in build_dir for testing (thanks to Jakub Wilk <jwilk@debian.org>
    for the patch)
    Closes: #751586

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jun 2014 20:12:02 +0200

python-biopython (1.64+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends raxml only on those architectures where it is available
    Closes: #750845

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jun 2014 10:25:35 +0200

python-biopython (1.63+dfsg-5) unstable; urgency=medium

  * Apply upstream fix to fix cpairwise2 import issue under python3 
    Closes: #747494

 -- Andreas Tille <tille@debian.org>  Sat, 10 May 2014 07:52:48 +0200

python-biopython (1.63+dfsg-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Depend on our own packages in the autopkgtest and add missing
    "allow-stderr" restriction.
    Closes: #747391

  [ Andreas Tille ]
  * Move ncbi-blast+ from Suggests to Recommends due to a hint from
    upstream

 -- Andreas Tille <tille@debian.org>  Thu, 08 May 2014 11:33:47 +0200

python-biopython (1.63+dfsg-3) unstable; urgency=medium

  * Set HOME=/tmp also in autopkgtest
  * Do not try to create doc in arch-only builds

 -- Andreas Tille <tille@debian.org>  Sun, 04 May 2014 00:18:47 +0200

python-biopython (1.63+dfsg-2) unstable; urgency=medium

  * Force writable HOME to make sure t-coffee test will pass
    Closes: #746624

 -- Andreas Tille <tille@debian.org>  Fri, 02 May 2014 23:14:50 +0200

python-biopython (1.63+dfsg-1) unstable; urgency=medium

  * Remove Bio\Entrez\DTDs\mathml2-qname-1.mod
    Closes: #746484

 -- Andreas Tille <tille@debian.org>  Wed, 30 Apr 2014 14:47:53 +0200

python-biopython (1.63-2) unstable; urgency=medium

  * Enable Python3
  * debian/copyright:
     - Add Upstream-Contact
     - DEP5
  * Run (nearly) full test suite
  * Add autopkgtest
  * Add packages from Build-Depends needed for tests to Depends

 -- Andreas Tille <tille@debian.org>  Thu, 06 Mar 2014 11:51:27 +0100
