=== debian/watch ===
version=3

opts="uversionmangle=s/b/~b/,dversionmangle=s/\+dfsg//" \
  http://biopython.org/DIST/biopython-(.\.\w+)\.tar\.gz
