## python-biopython 1.65+dfsg

=== debian/changelog ===
python-biopython (1.65+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Apply fix for broken test from Upstream Git
  * Versioned (Build-)Depends: python-rdflib (>= 4)
  * Prevent privacy-breach-logo

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2015 11:08:43 +0200
