=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: python-biopython
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Philipp Benner <philipp@debian.org>,
-           Charles Plessy <plessy@debian.org>,
+Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
@@ -33,8 +31,8 @@
                python3-matplotlib,
                python-pil,
                python3-pil,
-               python-rdflib,
-               python3-rdflib,
+               python-rdflib (>= 4),
+               python3-rdflib (>= 4),
                python-renderpm,
                python3-renderpm,
                python-psycopg2,
@@ -74,7 +72,7 @@
           python-matplotlib,
           python-numpy,
           python-pil,
-          python-rdflib,
+          python-rdflib (>= 4),
           python-renderpm,
           python-psycopg2,
           raxml,
@@ -123,7 +121,7 @@
           python3-matplotlib,
           python3-numpy,
           python3-pil,
-          python3-rdflib,
+          python3-rdflib (>= 4),
           python3-renderpm,
           python3-psycopg2,
           raxml,
