=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,6 @@
 # This would not trigger a failure but bloats the build log with irrelevant noise
 EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2
 
-# The following test works only with python-rdflib (>= 4)
-# If python-rdflib (>= 4) then do not exclude it - otherwise we exclude this test
-EXCLUDERDFLIB=$(shell if dpkg --compare-versions `dpkg -l python-rdflib | grep ^ii | sed 's/ii *python-rdflib *\([-.0-9]\+\) *.*/\1/'` gt 4 ; then echo ""; else echo "Phylo_CDAO" ; fi)
-
 # FIXME: These tests are failing for unknown reasons and this needs to be investigated
 #        specifically since test_ColorSpiral and test_trie are running when called manually
 #        .
@@ -69,8 +65,7 @@
 	echo "***************************************************************************"
 else
 	mkdir -p Tests_avoid
-	if [ "$(EXCLUDERDFLIB)" != "" ] ; then echo "You might like to install python-rdflib from experimental to run Phylo_CDAO test" ; else echo "Phylo_CDAO will be done"; fi
-	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDERDFLIB) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
+	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
 		    ; do \
 	    mv Tests/test_$${avoid}.py Tests_avoid ; \
 	done
@@ -86,8 +81,9 @@
 	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
 		--test-args='set -e; \
                              mkdir -p {build_dir}/home; \
-                             mkdir -p {build_dir}/Doc; \
+                             mkdir -p {build_dir}/Doc/examples; \
                              cp -a Doc/Tutorial.tex {build_dir}/Doc; \
+                             cp -a Doc/examples/nmr {build_dir}/Doc/examples; \
                              cp -a Tests {build_dir}; \
                              cd {build_dir}/Tests; \
                              env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
@@ -109,3 +105,6 @@
 	    rmdir Tests_avoid ; \
 	fi
 	rm -rf debian/tmp_tests
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression xz
