## python-biopython 1.66%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,12 @@
                mafft,
                muscle,
                ncbi-blast+,
+               phylip,
                phyml,
                prank,
                probcons,
                python-mysqldb,
+               python3-mysqldb,
                python-matplotlib,
                python3-matplotlib,
                python-pil,
@@ -65,6 +67,7 @@
           fasttree,
           mafft,
           muscle,
+          phylip,
           phyml,
           prank,
           probcons,
@@ -114,6 +117,7 @@
           fasttree,
           mafft,
           muscle,
+          phylip,
           phyml,
           prank,
           probcons,
