## python-biopython 1.66+dfsg

=== Doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)
 pdf:  Tutorial.pdf biopdb_faq.pdf
 
-Tutorial.pdf: Tutorial.tex
+Tutorial.pdf: Tutorial.tex Tutorial/chapter_*.tex
 	pdflatex Tutorial.tex
 	pdflatex Tutorial.tex
 	pdflatex Tutorial.tex
@@ -14,10 +14,10 @@
 	pdflatex biopdb_faq.tex
 	pdflatex biopdb_faq.tex
 
-Tutorial.html: Tutorial.tex
+Tutorial.html: Tutorial.tex Tutorial/chapter_*.tex
 	hevea -fix Tutorial.tex
 
-Tutorial.txt: Tutorial.tex
+Tutorial.txt: Tutorial.tex Tutorial/chapter_*.tex
 	hevea -fix -text Tutorial.tex
 
 clean-subdirs: $(subdirs)
