=== debian/changelog ===
python-biopython (1.66+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:53:09 +0000

python-biopython (1.66+dfsg-1) unstable; urgency=medium

  * New upstream version (some patches applied upstream)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 19:28:26 +0100

python-biopython (1.65+dfsg-3) unstable; urgency=medium

  * Also run Tutorial test
  * Prefer Github as contact point
  * Build-Depends: python3-mysqldb
    Closes: #801112

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2015 16:53:06 +0200

python-biopython (1.65+dfsg-2) unstable; urgency=medium

  * Build-Depends & Suggests: phylip + fixed test_phyml_tool
    Closes: #799820
  * debian/clean: Remove test results occuring now since phylip can be used
  * Activate more tests formerly deactivated

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2015 15:18:58 +0200
