=== debian/rules ===
--- 
+++ 
@@ -34,15 +34,15 @@
 # This would not trigger a failure but bloats the build log with irrelevant noise
 EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2
 
-# FIXME: These tests are failing for unknown reasons and this needs to be investigated
-#        specifically since test_ColorSpiral and test_trie are running when called manually
-#        .
-#        Regarding the Tutorial test it depends from a fix for python-reportlab (see #745985)
-EXCLUDEFAILINGTESTS=GenomeDiagram Fasttree_tool Mafft_tool Tutorial ColorSpiral trie
+# No need to exclude any tests any more
+EXCLUDEFAILINGTESTS=
 
 # FIXME: Currently it is not sure for what architecture samtools will be available
 #        to anable a smooth migration to testing the build-dependency will be dropped
 #        for the moment
+#        .
+#        The samtools test also fails on amd64.  This is reported upstream
+#	 see https://github.com/biopython/biopython/issues/625
 EXCLUDEPACKAGEINFLUX=samtools_tool
 
 %:
@@ -83,7 +83,8 @@
                              mkdir -p {build_dir}/home; \
                              mkdir -p {build_dir}/Doc/examples; \
                              cp -a Doc/Tutorial.tex {build_dir}/Doc; \
-                             cp -a Doc/examples/nmr {build_dir}/Doc/examples; \
+                             cp -a Doc/Tutorial {build_dir}/Doc; \
+                             cp -a Doc/examples {build_dir}/Doc; \
                              cp -a Tests {build_dir}; \
                              cd {build_dir}/Tests; \
                              env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
